Bug 440542 - system time is two hours wrong
system time is two hours wrong
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 17:51 EDT by Need Real Name
Modified: 2014-03-16 23:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 13:56:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-04-03 17:51:06 EDT
Not sure where to report this, so reporting here.

My system time is two hours wrong, after a reboot:
$ date
Fre Apr  4 01:48:17 CEST 2008

after some ntp stuff it's correct again:

# date
Don Apr  3 23:49:31 CEST 2008
Comment 1 Bill Nottingham 2008-04-04 10:01:17 EDT
What kernel, initscripts, etc? What does your /etc/adjtime file look like?
Comment 2 Need Real Name 2008-04-04 13:14:48 EDT
# cat /etc/adjtime
0.173747 1207335251 0.000000
1207335251
LOCAL
# rpm -q kernel initscripts
kernel-2.6.24.4-64.fc8.i686
kernel-2.6.25-0.195.rc8.git1.fc9.i686
initscripts-8.67-1.i386
Comment 3 Bill Nottingham 2008-04-04 13:38:17 EDT
1) which one of those are you actually booting?
2) does hwclock --hctosys set the time correctly?
Comment 4 Need Real Name 2008-04-04 13:52:28 EDT
1. The fc9 kernel.
2. The hardware clock was two hours wrong. hwclock --systohc fixed that, but I
did not have this problem before the upgrade. We will see how it behaves across
reboots.
Comment 5 Bill Nottingham 2008-04-04 13:56:17 EDT
You probably want initscripts-8.68, specifically the fix for bug 438337.

Note You need to log in before you can comment on or make changes to this bug.